/*****************************************************************************/
/* PROJEKT PR4WIN  Service DLL                                               */
/*                                                                           */
/*                                                                           */
/*                                                                           */
/*                                                                           */
/* BY:                                                                       */
/* ----------                                                                */
/* OE8DJK Bernd M. Stroj         18.01.1996                                  */
/*                                                                           */
/*****************************************************************************/

#define SRV_EXIT 90

typedef struct
  {
    FARPROC lpfnAns;
    FARPROC lpfnCtl;
    char    szInit[128];
  } INIT_SERVICE;
  
  
typedef struct
  {
    char    szCallSign[10];            // Callsign inkl SSID   "OE8DJK-15"
    char    szError[128];              // Rckgabe im Fehlerfall
    long    hCon;                      // Connection Handle = Connect Window
  } OPEN_SERVICE;
                     
                     
typedef struct
  {
    long     hCon;
    short    sPacLen;
    char     sPacket[1550];
  } RXTX_SERVICE;
  
                 
int APIENTRY iInitDll  ( INIT_SERVICE  *ptInitSrv );    
int APIENTRY iExitDll  ( void );
int APIENTRY iOpenSrv  ( OPEN_SERVICE  *ptOpenSrv );
int APIENTRY iCloseSrv ( long hCon );
int APIENTRY iSnd2Srv  ( RXTX_SERVICE *ptSrv );
int APIENTRY iVersion  ( void );
